package com.engine.recruit.entity.card.process;

import org.apache.commons.lang3.StringUtils;

/**
 * @author:dxfeng
 * @createTime: 2024/08/07
 * @version: 1.0
 */
public class OfferProcess {
    public static final String ICON_NAME = "offer.png";
    public static final String TITLE = "offer状态";

    private String zt;
    private String fksj;

    public String getZt() {
        String ztStr = "";
        if (StringUtils.isNotBlank(zt)) {
            switch (zt) {
                case "0":
                    ztStr = "未发送";
                    break;
                case "1":
                    ztStr = "已发送待反馈";
                    break;
                case "2":
                    ztStr = "已拒绝";
                    break;
                case "3":
                    ztStr = "已接受";
                    break;
                case "5":
                    ztStr = "逾期未回复";
                    break;
                default:
                    break;
            }
        }
        return ztStr;
    }

    public void setZt(String zt) {
        this.zt = zt;
    }

    public String getFksj() {
        return fksj;
    }

    public void setFksj(String fksj) {
        this.fksj = fksj;
    }

    @Override
    public String toString() {
        return getZt() + " " + getFksj();
    }
}
